Package org.apache.tomcat.util.descriptor.web

## Interface NamingResources

- All Known Implementing Classes:
    `NamingResourcesImpl`

      public interface NamingResources

  Defines an interface for the object that is added to the representation of a JNDI resource in web.xml to enable it to also be the implementation of that JNDI resource. Only Catalina implements this interface but because the web.xml representation is shared this interface has to be visible to Catalina and Jasper.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEnvironment​(ContextEnvironment ce)` |
    `void` | `addResource​(ContextResource cr)` |
    `void` | `addResourceLink​(ContextResourceLink crl)` |
    `java.lang.Object` | `getContainer()` |
    `void` | `removeEnvironment​(java.lang.String name)` |
    `void` | `removeResource​(java.lang.String name)` |
    `void` | `removeResourceLink​(java.lang.String name)` |

- - ### Method Detail

    - #### addEnvironment

          void addEnvironment​(ContextEnvironment ce)

    - #### removeEnvironment

          void removeEnvironment​(java.lang.String name)

    - #### addResource

          void addResource​(ContextResource cr)

    - #### removeResource

          void removeResource​(java.lang.String name)

    - #### addResourceLink

          void addResourceLink​(ContextResourceLink crl)

    - #### removeResourceLink

          void removeResourceLink​(java.lang.String name)

    - #### getContainer

          java.lang.Object getContainer()